diff -urNX ../exclude nfs-utils-0.1.6.orig/support/include/nfs/export.h nfs-utils-0.1.6/support/include/nfs/export.h
--- nfs-utils-0.1.6.orig/support/include/nfs/export.h	Wed Oct 27 22:27:55 1999
+++ nfs-utils-0.1.6/support/include/nfs/export.h	Wed Jun 14 07:55:53 2000
@@ -23,6 +23,8 @@
 #define NFSEXP_CROSSMNT		0x0200
 
 #define NFSEXP_NOSUBTREECHECK	0x0400
-#define NFSEXP_ALLFLAGS		0x07FF
+#define NFSEXP_NOAUTHNLM	0x0800
+#define NFSEXP_MSNFS		0x1000
+#define NFSEXP_ALLFLAGS		0x1FFF
 
 #endif /* _NSF_EXPORT_H */
diff -urNX ../exclude nfs-utils-0.1.6.orig/support/nfs/exports.c nfs-utils-0.1.6/support/nfs/exports.c
--- nfs-utils-0.1.6.orig/support/nfs/exports.c	Mon Nov 22 18:17:28 1999
+++ nfs-utils-0.1.6/support/nfs/exports.c	Wed Jun 14 10:59:46 2000
@@ -151,6 +151,8 @@
 				"" : "no_");
 	fprintf(fp, "%ssubtree_check,", (ep->e_flags & NFSEXP_NOSUBTREECHECK)?
 		"no_" : "");
+	fprintf(fp, "%smsnfs,", (ep->e_flags & NFSEXP_MSNFS)?
+		"" : "no_");
 
 	fprintf(fp, "mapping=");
 	switch (ep->e_maptype) {
@@ -307,6 +309,10 @@
 			ep->e_flags &= ~NFSEXP_NOSUBTREECHECK;
 		else if (strcmp(opt, "no_subtree_check") == 0)
 			ep->e_flags |= NFSEXP_NOSUBTREECHECK;
+		else if (strcmp(opt, "msnfs") == 0)
+			ep->e_flags |= NFSEXP_MSNFS;
+		else if (strcmp(opt, "no_msnfs") == 0)
+			ep->e_flags &= ~NFSEXP_MSNFS;
 		else if (strncmp(opt, "mapping=", 8) == 0)
 			ep->e_maptype = parsemaptype(opt+8);
 		else if (strcmp(opt, "map_identity") == 0)	/* old style */
@@ -344,6 +350,8 @@
 	ep->e_sqgids = sqgids;
 	ep->e_nsquids = nsquids;
 	ep->e_nsqgids = nsqgids;
+
+printf("e_flags = 0x%x\n", ep->e_flags);
 
 	return 1;
 }
